using CommunityToolkit.Mvvm.ComponentModel;

namespace WPFBeginner.Models;

public partial class Member : ObservableObject
{
    [ObservableProperty]
    private string _name = string.Empty;

    [ObservableProperty]
    private string _call = string.Empty;

    [ObservableProperty]
    private string _eMail = string.Empty;

    [ObservableProperty]
    private string _no = string.Empty;

    public Member() { }

    public Member(string name, string call, string email, string no)
    {
        Name = name;
        Call = call;
        EMail = email;
        No = no;
    }

    public Member Clone()
    {
        return new Member(Name, Call, EMail, No);
    }
}
